Isolated institutions

Bug #717196 reported by Glenys Bradbury on 2011-02-11
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Gregor Anželj

Bug Description

I think a very useful feature to have 'closed' or 'controlled' institutions, whereby the members of one instutution can't see or communicate with members not in their insitution. This feature would be useful for safeguarding, for example a college may not want adult college members to be able to communicate (and potentially 'groom') 14-18 year olds. The 14-18 could be put into a separate institution to the adult college members, but teachers could be in both, so could see both sets of learners, but the two sets of learners couldn't 'see' each other.
May also be useful to prevent confusion in large installs with many institutions...

https://wiki.mahara.org/index.php/Developer_Area/Specifications_in_Development/Isolated_Institutions

Hi Glen,

You may want to take a look at http://wiki.mahara.org/Developer_Area/Specifications_in_Development/Walled_Gardens ;-) LUNS is working on that.

Brilliant news... Is it likely to go into 1.4?

Many thanks

Glen

On Fri, Feb 11, 2011 at 10:36 PM, Kristina Hoeppner <
<email address hidden>> wrote:

> Hi Glen,
>
> You may want to take a look at
>
> http://wiki.mahara.org/Developer_Area/Specifications_in_Development/Walled_Gardens
> ;-) LUNS is working on that.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/717196
>
> Title:
> Feature Request: Closed/controlled Institutions
>
> Status in Mahara ePortfolio:
> New
>
> Bug description:
> I think a very useful feature to have 'closed' or 'controlled'
> institutions, whereby the members of one instutution can't see or
> communicate with members not in their insitution. This feature would be
> useful for safeguarding, for example a college may not want adult college
> members to be able to communicate (and potentially 'groom') 14-18 year olds.
> The 14-18 could be put into a separate institution to the adult college
> members, but teachers could be in both, so could see both sets of learners,
> but the two sets of learners couldn't 'see' each other.
> May also be useful to prevent confusion in large installs with many
> institutions...
> Thanks
> Glen (TDM)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/mahara/+bug/717196/+subscribe
>

--

Glenys Bradbury
Development Manager

   office +44 (0)1299 405719
mobile +44 (0)7905 691625
email <email address hidden>
www http://tdm.info

Improving Learning and Business with Open Source

Be green, keep it on the screen - consider the environment before printing
this email

The Development Manager Ltd (trading as TDM) is a limited company registered
in England and Wales.
Registered number: 6337543, Registered office: Foxmead House, Callow Hill,
Rock, Kidderminster, Worcestershire, DY14 9XW.

This e-mail (which includes any files transmitted with it) is intended for
the above named only. If you are not the intended recipient please notify
the sender immediately and confirm that all copies have been deleted from
your computer system. This e-mail is protected by copyright. Unless you are
the intended recipient you should not use, disclose or copy the e-mail nor
should you rely upon it in any way whatsoever. All liability for viruses is
excluded to the fullest extent permitted by law. Any views expressed in this
message are those of the individual sender, except where the sender
specifically states them to be the views of The Development Manager Ltd.
Chat Google Talk: <email address hidden>
Contact Me [image: Linkedin] <http://uk.linkedin.com/in/glenysbradbury>[image:
Tungle.me] <http://tungle.me/glenysbradbury>

--- @ WiseStamp
Signature<http://my.wisestamp.com/link?u=cdcycmntxvg2n3tg&site=www.wisestamp.com/email-install>.
Get it now<http://my.wisestamp.com/link?u=cdcycmntxvg2n3tg&site=www.wisestamp.com/email-install>

It was aimed to go to 1.4, but it looks like it will be delayed. You may test it if you like: http://gitorious.org/mahara/mahara/merge_requests/6

Changed in mahara:
importance: Undecided → Wishlist
status: New → Triaged
Changed in mahara:
milestone: none → 1.5.0
Changed in mahara:
milestone: 1.5.0 → none
tags: added: institutions
summary: - Feature Request: Closed/controlled Institutions
+ Isolated institutions
description: updated
Gregor Anželj (gregor-anzelj) wrote :

Isolated institutions is a feature that allows locking down access for members of institutions so that they are separated entirely and disallow contact between members of one institution with members of another institution.

Assumptions:
* Users can only be in one institution at one point in time. Being a member of multiple institutions is not allowed.
* Members of an institution are regular users, institution staff and institution admins. They are simply referred to as “Members” or “Members of an institution” henceforth.
* Only institution staff, institution admins, site staff and site admins can create groups.
* Publicly available content and portfolios shared via secret URLs cannot be controlled as it’s been made public.
* No friends allowed setting, which would also include removing that option from the account settings.

Summary of changes to Admin -> Configure site -> Site options:
* The “Multiple institutions” option is disabled.
* The “Confirm registration” option on the site level is turned on per default so that institutions cannot change that setting and every account needs to be approved. It is then disabled so that the site admin can’t change it.
* Profiles are not shared with “Registered users” automatically. The site option “Profile access for all registered users” under Site options -> User settings is turned off and disabled so that the site admin can’t change it.
* An additional setting becomes available that would restrict the searching of users within an institution to only those users who are in the same groups as the user performing the search.
* An additional setting is implemented in Site options -> Group settings: Possibility to hide groups site-wide so they can’t be found in a group search. Users would only be allowed to see groups that they own or that they are members of.
* Portfolio moderation is turned on by default for regular users (excl. any staff or admins) and cannot be disabled. If isolated institutions is not used, moderation can still be required for all institutions and on a per institution basis. This will be implemented for https://bugs.launchpad.net/mahara/+bug/1748833

Changed in mahara:
assignee: nobody → Gregor Anželj (gregor-anzelj)
Changed in mahara:
status: Triaged → In Progress
milestone: none → 18.10.0
Changed in mahara:
milestone: 18.10.0 → 19.04.0

Reviewed: https://reviews.mahara.org/8518
Committed: https://git.mahara.org/mahara/mahara/commit/258c4744ea6e3d554fc80bf70bc5ce048a1f20f0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 258c4744ea6e3d554fc80bf70bc5ce048a1f20f0
Author: Gregor Anzelj <email address hidden>
Date: Sun Nov 25 19:21:23 2018 +0100

Bug 717196: Isolated institutions

Isolated institutions is a feature that allows locking down
access for members of institutions so that they are separated
entirely and disallow contact between members of one
institution with members of another institution.

behatnotneeded

Change-Id: Ib94681aff5543ad26887f24b2eb7fce9d0c8b8d2

Robert Lyon (robertl-9) on 2019-03-30
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
removed: institutions

Reviewed: https://reviews.mahara.org/9685
Committed: https://git.mahara.org/mahara/mahara/commit/2c82fcddd3260b16db5a57850b3fcdb74116a860
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2c82fcddd3260b16db5a57850b3fcdb74116a860
Author: Robert Lyon <email address hidden>
Date: Mon Apr 1 09:11:41 2019 +1300

Bug 717196: Fixing install process

Change-Id: I7b43663a2e1438556b4bff7af19462f882d7d421
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/9690
Committed: https://git.mahara.org/mahara/mahara/commit/8787c9f804a1e67aafde4c9855da514055fa9c00
Submitter: Cecilia Vela Gurovic (<email address hidden>)
Branch: master

commit 8787c9f804a1e67aafde4c9855da514055fa9c00
Author: Robert Lyon <email address hidden>
Date: Tue Apr 2 13:36:19 2019 +1300

Bug 717196: Fixing user search problem for no institution

behatnotneeded

Change-Id: Ied77db9958413d8fd6f4c36d02856dd04ca9797c
Signed-off-by: Robert Lyon <email address hidden>

Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers